//Copyright (C) Man Machine Interfaces 1994. All rights reserved.

//graphga.h

#ifndef __GRAPHGA_H__
#define __GRAPHGA_H__


//Headers needed for EOS programs
//You need EOS v1.1 to compile this code
#ifndef __BASICGA_H
#include "basicga.h"
#endif

class CGraphDrawerGA : public TBasicGA
{

public:

	CGraphDrawerGA(CGAGraphDriver &driver) ;
	void Report(uint gen) ;
	void CreatePopulation(long size, PTIndividual prototype = NULL) ;
	void ExitReport() ;

private:
	BOOL Stop() ;
	void InterGeneration(ulong, PTIndividual, PTIndividual, PTIndividual, PTIndividual) ;
	
	CGAGraphDriver & m_Driver ;
	
};

#endif
